using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FLY.Thick.FilmCasting.UI.UiModule
{
    /// <summary>
    /// WdScanGraphConfig.xaml 的交互逻辑
    /// </summary>
    public partial class WdCompareGraphConfig : FLY.ControlLibrary.WindowBigClose
    {
        CompareGraphItemParam graphparam;
        CompareGraphVm scanGraphVm;
        public WdCompareGraphConfig()
        {
            InitializeComponent();
        }

        public void Init(CompareGraphItemParam graphparam, CompareGraphVm scanGraphVm)
        {
            this.scanGraphVm = scanGraphVm;
            this.graphparam = graphparam;

            this.grid_scanGraphVm.DataContext = scanGraphVm;
            this.DataContext = graphparam;
        }

        private void btnOkClick(object sender, RoutedEventArgs e)
        {
            CompareGraphParams.Current.Save();
        }

        private void btnPreClick(object sender, RoutedEventArgs e)
        {
            scanGraphVm.PreView();
        }

        private void btnNextClick(object sender, RoutedEventArgs e)
        {
            scanGraphVm.NextView();
        }



        private void btnLockClick(object sender, RoutedEventArgs e)
        {
            scanGraphVm.ChangeLock();
        }

        private void btnResetNumberClick(object sender, RoutedEventArgs e)
        {
            scanGraphVm.ResetNumber();
        }





        private void btnPre2Click(object sender, RoutedEventArgs e)
        {
            scanGraphVm.PreView2();
        }

        private void btnNext2Click(object sender, RoutedEventArgs e)
        {
            scanGraphVm.NextView2();
        }

        private void btnLock2Click(object sender, RoutedEventArgs e)
        {
            scanGraphVm.ChangeLock2();
        }

        private void btnResetNumber2Click(object sender, RoutedEventArgs e)
        {
            scanGraphVm.ResetNumber2();
        }
    }

    
}
